{
  "accUserMode" : 2,
  "caption" : "布局引用测试",
  "codeName" : "TESTDEMobEditViewLayoutPart",
  "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/TESTDEMobEditViewLayoutPart.json",
  "name" : "TESTDEMobEditViewLayoutPart",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPMODULES/Test.json"
  },
  "getPSDEViewCodeName" : "DEMobEditViewLayoutPart",
  "getPSDEViewId" : "8B024D06-E338-4C32-B3A0-AA5205B5101A",
  "getPSViewLayoutPanel" : {
    "codeName" : "Usr0627533517",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "Flex",
    "logicName" : "移动端布局引用测试（编辑视图）",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "引用布局面板",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "panelpart",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_header",
        "getPSLayout" : {
          "dir" : "column",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "view_toolbar",
          "getPSLayout" : {
            "dir" : "row",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "view_left_toolbar",
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "左侧工具栏",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "lefttoolbar",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "showCaption" : true
            } ]
          }, {
            "caption" : "容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "view_captionbar",
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "标题栏",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "captionbar",
              "getPSLayoutPos" : {
                "grow" : -1,
                "heightMode" : "FULL",
                "layout" : "FLEX"
              },
              "showCaption" : true
            } ]
          }, {
            "caption" : "容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "view_right_toolbar",
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX",
              "shrink" : 0
            },
            "getPSPanelItems" : [ {
              "caption" : "右侧工具栏",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "righttoolbar",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "showCaption" : true
            } ]
          } ],
          "predefinedType" : "Toolbar"
        } ],
        "predefinedType" : "Header"
      } ],
      "predefinedType" : "PANELPART",
      "showCaption" : true
    }, {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_content",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "表单",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "form",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ],
      "predefinedType" : "Content"
    }, {
      "caption" : "引用布局面板",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "panelpart1",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_footer",
        "getPSLayout" : {
          "dir" : "column",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "工具栏",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "footertoolbar",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "showCaption" : true
        } ],
        "predefinedType" : "Footer"
      } ],
      "predefinedType" : "PANELPART",
      "showCaption" : true
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "8D6D5196-A112-4623-BBCD-22F277AD03E7",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSAppViewEngines" : [ {
      "engineCat" : "VIEW",
      "engineType" : "MobEditView",
      "name" : "engine"
    } ],
    "getPSControls" : [ {
      "codeName" : "TestMobEditView_Form",
      "controlType" : "FORM",
      "getCreatePSControlAction" : {
        "modelref" : true,
        "id" : "create",
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "defaultLabelWidth" : 130,
      "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST/PSFORMS/TestMobEditView_Form.json",
      "getGetDraftFromPSControlAction" : {
        "modelref" : true,
        "id" : "loaddraftfrom",
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "getGetDraftPSControlAction" : {
        "modelref" : true,
        "id" : "loaddraft",
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load",
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "logicName" : "测试移动端编辑视图_表单",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "GetDraft",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "GetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "GETDRAFTFROM",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraftfrom",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        } ],
        "enableDEFieldPrivilege" : false,
        "id" : "编辑表单处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "FORM"
      },
      "getPSDEFormItems" : [ {
        "id" : "srfupdatedate",
        "hidden" : true,
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "id" : "srforikey",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfkey",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        }
      }, {
        "id" : "srfmajortext",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        }
      }, {
        "id" : "srftempmode",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfuf",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfdeid",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfsourcekey",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "testname",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        }
      }, {
        "id" : "amount",
        "dataType" : 6,
        "getPSAppDEField" : {
          "name" : "AMOUNT",
          "codeName" : "Amount"
        }
      }, {
        "id" : "formitem",
        "dataType" : 25
      }, {
        "id" : "createman",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        }
      }, {
        "id" : "createdate",
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        }
      }, {
        "id" : "updateman",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        }
      }, {
        "id" : "updatedate",
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "id" : "testid",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        }
      } ],
      "getPSDEFormPages" : [ {
        "caption" : "分页1",
        "codeName" : "formpage1",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "name" : "formpage1",
        "getPSDEFormDetails" : [ {
          "actionGroupExtractMode" : "ITEM",
          "codeName" : "grouppanel1",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "grouppanel1",
          "getPSDEFormDetails" : [ {
            "caption" : "测试实体名称",
            "codeName" : "testname",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "testname",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "TESTNAME",
              "codeName" : "TESTName"
            },
            "getPSEditor" : {
              "editorType" : "MOBTEXT",
              "maxLength" : 50,
              "minLength" : 3,
              "name" : "testname"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          }, {
            "caption" : "金额",
            "codeName" : "amount",
            "dataType" : 6,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "amount",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "AMOUNT",
              "codeName" : "Amount"
            },
            "getPSEditor" : {
              "editorType" : "MOBTEXT",
              "maxValue" : 10000.0,
              "minValue" : 19.0,
              "name" : "amount",
              "precision" : 2
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "unitName" : "元",
            "allowEmpty" : true,
            "enableUnitName" : true,
            "showCaption" : true
          }, {
            "caption" : "test",
            "codeName" : "formitem",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "formitem",
            "noPrivDisplayMode" : 1,
            "getPSEditor" : {
              "editorType" : "NUMBER",
              "name" : "formitem"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        }, {
          "codeName" : "druipart1",
          "dRItemTag" : "UsrDRItem0621767095",
          "detailStyle" : "DEFAULT",
          "detailType" : "DRUIPART",
          "name" : "druipart1",
          "getPSAppView" : {
            "accUserMode" : 2,
            "caption" : "测试实体",
            "codeName" : "TESTTestMobMDView",
            "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/TESTTestMobMDView.json",
            "name" : "TESTTestMobMDView",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSAppModule" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPMODULES/Test.json"
            },
            "getPSAppViewEngines" : [ {
              "engineCat" : "VIEW",
              "engineType" : "MobMDView",
              "name" : "engine"
            } ],
            "getPSAppViewLogics" : [ {
              "logicTrigger" : "CUSTOM",
              "logicType" : "APPUILOGIC",
              "name" : "newdata",
              "getPSAppUILogic" : {
                "actionAfterWizard" : "DEFAULT",
                "logicType" : "PREDEFINED",
                "name" : "新建数据",
                "viewLogicType" : "APP_NEWDATA",
                "batchAddOnly" : false,
                "enableBatchAdd" : false,
                "enableWizardAdd" : false
              }
            }, {
              "logicTrigger" : "CUSTOM",
              "logicType" : "APPUILOGIC",
              "name" : "opendata",
              "getPSAppUILogic" : {
                "logicType" : "PREDEFINED",
                "name" : "打开数据",
                "viewLogicType" : "APP_OPENDATA",
                "editMode" : true
              }
            } ],
            "getPSControls" : [ {
              "codeName" : "testSearchBar",
              "controlType" : "SEARCHBAR",
              "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST/PSSEARCHBARS/testSearchBar.json",
              "groupMoreText" : "更多分组",
              "logicName" : "搜索栏（Test）",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
              },
              "getPSControlParam" : {
                "id" : "SEARCHBAR"
              },
              "getPSSearchBarFilters" : [ {
                "caption" : "类型(%)",
                "dataType" : 25,
                "itemType" : "FILTER",
                "labelPos" : "NONE",
                "labelWidth" : 0,
                "name" : "filter",
                "getPSAppDEField" : {
                  "name" : "TYPE",
                  "codeName" : "Type"
                },
                "getPSDEFSearchMode" : {
                  "codeName" : "N_TYPE_LIKE",
                  "name" : "N_TYPE_LIKE",
                  "stdDataType" : 25,
                  "valueOP" : "LIKE"
                },
                "getPSEditor" : {
                  "editorType" : "MOBTEXT",
                  "name" : "filter"
                },
                "allowEmpty" : true,
                "convertToCodeItemText" : true,
                "emptyCaption" : false,
                "hidden" : false,
                "showCaption" : false
              }, {
                "caption" : "类型(=)",
                "dataType" : 25,
                "itemType" : "FILTER",
                "labelPos" : "NONE",
                "labelWidth" : 0,
                "name" : "type",
                "getPSAppDEField" : {
                  "name" : "TYPE",
                  "codeName" : "Type"
                },
                "getPSDEFSearchMode" : {
                  "codeName" : "N_TYPE_EQ",
                  "name" : "N_TYPE_EQ",
                  "stdDataType" : 25,
                  "valueOP" : "EQ"
                },
                "getPSEditor" : {
                  "editorType" : "DROPDOWNLIST",
                  "name" : "type",
                  "getPSAppCodeList" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Mob/PSAPPCODELISTS/Test__TestType.json"
                  },
                  "placeHolder" : "请选择输入",
                  "singleSelect" : true
                },
                "width" : 200.0,
                "allowEmpty" : true,
                "emptyCaption" : false,
                "hidden" : false,
                "needCodeListConfig" : true,
                "showCaption" : false
              }, {
                "caption" : "测试实体名称(%)",
                "dataType" : 25,
                "itemType" : "FILTER",
                "labelPos" : "NONE",
                "labelWidth" : 0,
                "name" : "testname",
                "getPSAppDEField" : {
                  "name" : "TESTNAME",
                  "codeName" : "TESTName"
                },
                "getPSDEFSearchMode" : {
                  "codeName" : "N_TESTNAME_LIKE",
                  "name" : "N_TESTNAME_LIKE",
                  "stdDataType" : 25,
                  "valueOP" : "LIKE"
                },
                "getPSEditor" : {
                  "editorType" : "MOBTEXT",
                  "name" : "testname"
                },
                "allowEmpty" : true,
                "emptyCaption" : false,
                "hidden" : false,
                "showCaption" : false
              }, {
                "dataType" : 25,
                "itemType" : "FILTER",
                "labelPos" : "NONE",
                "labelWidth" : 0,
                "name" : "field",
                "getPSAppDEField" : {
                  "name" : "FIELD",
                  "codeName" : "Field"
                },
                "getPSEditor" : {
                  "editorType" : "MOBTEXT",
                  "name" : "field"
                },
                "allowEmpty" : true,
                "emptyCaption" : false,
                "hidden" : false,
                "showCaption" : false
              }, {
                "dataType" : 25,
                "itemType" : "FILTER",
                "labelPos" : "NONE",
                "labelWidth" : 0,
                "name" : "n_custom_eq",
                "getPSEditor" : {
                  "editorType" : "MOBTEXT",
                  "name" : "n_custom_eq"
                },
                "allowEmpty" : true,
                "emptyCaption" : false,
                "hidden" : false,
                "showCaption" : false
              } ],
              "getPSSearchBarGroups" : [ {
                "caption" : "分组1",
                "itemType" : "GROUP",
                "name" : "group1",
                "width" : 0.0,
                "addSeparator" : false
              }, {
                "caption" : "分组2",
                "itemType" : "GROUP",
                "name" : "group2",
                "width" : 0.0,
                "addSeparator" : false
              }, {
                "caption" : "分组3",
                "itemType" : "GROUP",
                "name" : "group3",
                "width" : 0.0,
                "addSeparator" : false
              }, {
                "caption" : "分组444444444444444444444444",
                "itemType" : "GROUP",
                "name" : "group4444444444",
                "width" : 0.0,
                "addSeparator" : false
              }, {
                "caption" : "分组55555555555555555",
                "itemType" : "GROUP",
                "name" : "group5555555555",
                "width" : 0.0,
                "addSeparator" : false
              } ],
              "quickGroupCount" : 2,
              "quickSearchMode" : 2,
              "quickSearchWidth" : 0,
              "enableFilter" : true,
              "enableGroup" : true,
              "enableQuickSearch" : true,
              "mobileSearchBar" : false,
              "name" : "searchbar",
              "modelid" : "7BEE5399-A0C8-429E-865D-936279D7911D",
              "modeltype" : "PSSYSSEARCHBAR"
            }, {
              "codeName" : "TestMobMDView_MobList",
              "controlType" : "MOBMDCTRL",
              "getCreatePSControlAction" : {
                "modelref" : true,
                "id" : "create",
                "actionName" : "Create",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "create",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Create"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
                }
              },
              "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST/PSMOBMDCTRLS/TestMobMDView_MobList.json",
              "getFetchPSControlAction" : {
                "modelref" : true,
                "id" : "fetch",
                "actionType" : "DEDATASET",
                "name" : "fetch",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "FetchDefault"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
                }
              },
              "getGetPSControlAction" : {
                "modelref" : true,
                "id" : "load",
                "actionName" : "Get",
                "actionType" : "DEACTION",
                "dataAccessAction" : "READ",
                "name" : "load",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Get"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
                }
              },
              "groupMode" : "NONE",
              "getItemPSLayoutPanel" : {
                "codeName" : "Usr0616619704",
                "controlType" : "PANEL",
                "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST/PSPANELS/Usr0616619704.json",
                "layoutMode" : "TABLE_24COL",
                "logicName" : "List2_列表项面板",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
                },
                "getPSControlParam" : { },
                "getPSLayout" : {
                  "childColLG" : -1,
                  "childColMD" : 24,
                  "childColSM" : -1,
                  "childColXS" : -1,
                  "columnCount" : 24,
                  "layout" : "TABLE_24COL"
                },
                "getRootPSPanelItems" : [ {
                  "itemStyle" : "DEFAULT",
                  "itemType" : "CONTAINER",
                  "name" : "page_container",
                  "getPSLayout" : {
                    "dir" : "column",
                    "layout" : "FLEX"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  }
                } ],
                "name" : "mdctrl_itempanel",
                "modelid" : "2D469B99-3C34-4520-8BB8-7EDBCD170E63",
                "modeltype" : "PSSYSVIEWPANEL"
              },
              "logicName" : "List2",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
              },
              "getPSControlHandler" : {
                "getPSHandlerActions" : [ {
                  "actionName" : "Get",
                  "actionType" : "DEACTION",
                  "dataAccessAction" : "READ",
                  "name" : "load",
                  "getPSAppDEMethod" : {
                    "modelref" : true,
                    "id" : "Get"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
                  }
                }, {
                  "actionName" : "Create",
                  "actionType" : "DEACTION",
                  "dataAccessAction" : "CREATE",
                  "name" : "create",
                  "getPSAppDEMethod" : {
                    "modelref" : true,
                    "id" : "Create"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
                  }
                }, {
                  "actionName" : "Update",
                  "actionType" : "DEACTION",
                  "dataAccessAction" : "UPDATE",
                  "name" : "update",
                  "getPSAppDEMethod" : {
                    "modelref" : true,
                    "id" : "Update"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
                  }
                }, {
                  "actionName" : "Remove",
                  "actionType" : "DEACTION",
                  "dataAccessAction" : "DELETE",
                  "name" : "remove",
                  "getPSAppDEMethod" : {
                    "modelref" : true,
                    "id" : "Remove"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
                  }
                }, {
                  "actionType" : "DEDATASET",
                  "name" : "fetch",
                  "getPSAppDEMethod" : {
                    "modelref" : true,
                    "id" : "FetchDefault"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
                  }
                } ],
                "userDRAction" : "READ",
                "enableDEFieldPrivilege" : false,
                "id" : "列表控件处理器"
              },
              "getPSControlParam" : {
                "autoLoad" : true,
                "showBusyIndicator" : true,
                "id" : "MDCTRL"
              },
              "getPSDEDataImport" : {
                "modelref" : true,
                "id" : "DataImport"
              },
              "getPSDEListDataItems" : [ {
                "dataType" : 25,
                "name" : "srfkey",
                "getPSAppDEField" : {
                  "name" : "TESTID",
                  "codeName" : "TESTId"
                }
              }, {
                "dataType" : 25,
                "name" : "srfmajortext",
                "getPSAppDEField" : {
                  "name" : "TESTNAME",
                  "codeName" : "TESTName"
                }
              } ],
              "pagingSize" : 1000,
              "getRemovePSControlAction" : {
                "modelref" : true,
                "id" : "remove",
                "actionName" : "Remove",
                "actionType" : "DEACTION",
                "dataAccessAction" : "DELETE",
                "name" : "remove",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Remove"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
                }
              },
              "getUpdatePSControlAction" : {
                "modelref" : true,
                "id" : "update",
                "actionName" : "Update",
                "actionType" : "DEACTION",
                "dataAccessAction" : "UPDATE",
                "name" : "update",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Update"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
                }
              },
              "hasWFDataItems" : false,
              "enableGroup" : false,
              "enableRowEdit" : false,
              "enableRowEditGroup" : false,
              "enableRowEditOrder" : false,
              "enableRowNew" : false,
              "noSort" : false,
              "showHeader" : true,
              "name" : "mdctrl",
              "modelid" : "490E15C0-6F3C-4ADB-8087-5CA7D02CE280",
              "modeltype" : "PSDELIST"
            }, {
              "codeName" : "TestMobMDViewrighttoolbar",
              "controlType" : "TOOLBAR",
              "logicName" : "测试多数据视图_工具栏",
              "name" : "righttoolbar",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
              },
              "getPSControlParam" : {
                "id" : "RIGHTTOOLBAR"
              },
              "toolbarStyle" : "MOBNAVRIGHTMENU",
              "xDataControlName" : "mdctrl",
              "modelid" : "D047731E-834C-48F7-90A9-75B3F9D68236",
              "modeltype" : "PSDETOOLBAR"
            }, {
              "caption" : "测试实体",
              "codeName" : "TestMobMDViewcaptionbar",
              "controlType" : "CAPTIONBAR",
              "name" : "captionbar",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
              },
              "getPSControlParam" : { }
            } ],
            "getPSDEViewCodeName" : "TestMobMDView",
            "getPSDEViewId" : "BB00B32B-49F9-43BA-935E-74998F5EDD10",
            "getPSViewLayoutPanel" : {
              "codeName" : "Layoutpanel",
              "controlStyle" : "APPDEMOBMDVIEW",
              "controlType" : "VIEWLAYOUTPANEL",
              "name" : "layoutpanel",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
              },
              "getPSControlParam" : { },
              "layoutBodyOnly" : true,
              "layoutPanel" : true,
              "useDefaultLayout" : true
            },
            "title" : "测试多数据视图",
            "viewStyle" : "DEFAULT",
            "viewType" : "DEMOBMDVIEW",
            "xDataControlName" : "mdctrl",
            "enableDP" : true,
            "enableFilter" : true,
            "enablePullDownRefresh" : false,
            "enableQuickSearch" : true,
            "enableSearch" : true,
            "modelid" : "F2EF9364-1D93-484A-A231-90B3BB331DC3",
            "modeltype" : "PSAPPDEVIEW"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "parentDataJO" : {
            "srfparentdename" : "TEST",
            "SRFPARENTTYPE" : "CUSTOM"
          },
          "needSave" : false,
          "refreshItemsSetParamOnly" : false,
          "showCaption" : true
        }, {
          "caption" : "测试实体标识",
          "codeName" : "testid",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "testid",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TESTID",
            "codeName" : "TESTId"
          },
          "getPSEditor" : {
            "editorType" : "HIDDEN",
            "name" : "testid"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "hidden" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false
      }, {
        "caption" : "分页2",
        "codeName" : "formpage2",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "name" : "formpage2",
        "getPSDEFormDetails" : [ {
          "actionGroupExtractMode" : "ITEM",
          "caption" : "分组面板",
          "codeName" : "grouppanel2",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "grouppanel2",
          "getPSDEFormDetails" : [ {
            "caption" : "建立人",
            "codeName" : "createman",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 3,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "createman",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "CREATEMAN",
              "codeName" : "CreateMan"
            },
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "createman",
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Mob/PSAPPCODELISTS/SysOperator.json"
              },
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "convertToCodeItemText" : true,
            "showCaption" : true
          }, {
            "caption" : "建立时间",
            "codeName" : "createdate",
            "dataType" : 5,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 3,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "createdate",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "CREATEDATE",
              "codeName" : "CreateDate"
            },
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "createdate",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "valueFormat" : "YYYY-MM-DD HH:mm:ss",
            "allowEmpty" : true,
            "showCaption" : true
          }, {
            "caption" : "更新人",
            "codeName" : "updateman",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 3,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "updateman",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            },
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "updateman",
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Mob/PSAPPCODELISTS/SysOperator.json"
              },
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "convertToCodeItemText" : true,
            "showCaption" : true
          }, {
            "caption" : "更新时间",
            "codeName" : "updatedate",
            "dataType" : 5,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 3,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "updatedate",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            },
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "updatedate",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "valueFormat" : "YYYY-MM-DD HH:mm:ss",
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getRemovePSControlAction" : {
        "modelref" : true,
        "id" : "remove",
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "tabHeaderPos" : "TOP",
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update",
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "mobileControl" : true,
      "noTabHeader" : false,
      "name" : "form",
      "modelid" : "621F85CE-79DB-47B7-96E1-7A1F2D8A6915",
      "modeltype" : "PSDEFORM_EDITFORM"
    }, {
      "codeName" : "DEMobEditViewLayoutPartdatainfobar",
      "controlType" : "DATAINFOBAR",
      "name" : "datainfobar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : {
        "id" : "datainfobar"
      }
    }, {
      "caption" : "布局引用测试",
      "codeName" : "DEMobEditViewLayoutPartcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "refFlag" : false,
  "title" : "布局引用测试",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEMOBEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "enablePullDownRefresh" : false,
  "showDataInfoBar" : true,
  "modelid" : "C0F7F073-2B40-4475-8B37-3538640C31F4",
  "modeltype" : "PSAPPDEVIEW"
}